LibreOffice: SlideShow Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
SlideShow Service Reference

`import <SlideShow.idl;`

Inheritance diagram for SlideShow:

## Additional Inherited Members
Public Member Functions inherited from XSlideShow
boolean | nextEffect ()
| Trigger the next effect of the slide show.
boolean | previousEffect ()
| Undo the last effect in the main sequence of the slide show.
boolean | startShapeActivity ([in] ::com::sun::star::drawing::XShape xShape)
| Start a shape-intrinsic animation or activity.
boolean | stopShapeActivity ([in] ::com::sun::star::drawing::XShape xShape)
| Stop a shape-intrinsic animation or activity.
void | displaySlide ([in] ::com::sun::star::drawing::XDrawPage xSlide, [in] ::com::sun::star::drawing::XDrawPagesSupplier xDrawPages, [in] ::com::sun::star::animations::XAnimationNode AnimationNode, [in] sequence< ::com::sun::star::beans::PropertyValue > aProperties)
| Jump to the given slide.
boolean | pause ([in] boolean bPauseShow)
| Change the pause state of the slide show.
::com::sun::star::drawing::XDrawPage | getCurrentSlide ()
| Query the currently displayed slide.
void | registerUserPaintPolygons ([in] ::com::sun::star::lang::XMultiServiceFactory xDocFactory)
| Register drawn polygons in presentation mode.
boolean | setProperty ([in] ::com::sun::star::beans::PropertyValue aShowProperty)
| Change a property of the slide show.
boolean | addView ([in] XSlideShowView xView)
| Add a view to the slide show.
boolean | removeView ([in] XSlideShowView xView)
| Remove view from the slide show.
boolean | update ([out] double nNextTimeout)
| Update the animations.
void | addSlideShowListener ([in] XSlideShowListener xListener)
| Add a slide show listener.
void | removeSlideShowListener ([in] XSlideShowListener xListener)
| Revoke a previously registered slide show listener.
void | addShapeEventListener ([in] XShapeEventListener xListener, [in] ::com::sun::star::drawing::XShape xShape)
| Add a shape event listener.
void | removeShapeEventListener ([in] XShapeEventListener xListener, [in] ::com::sun::star::drawing::XShape xShape)
| Revoke a previously registered shape event listener.
void | setShapeCursor ([in] ::com::sun::star::drawing::XShape xShape, [in] short nPointerShape)
| Set a special mouse cursor for a shape.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/SlideShow.idl